OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::Value::Listener Class Referenceabstract

`#include <juce_Value.h>`

Inheritance diagram for juce::Value::Listener:

## Public Member Functions
virtual void | valueChanged (Value &value)=0

## Detailed Description

Receives callbacks when a Value object changes.

See also
  Value::addListener

Definition at line 138 of file juce_Value.h.

## Member Function Documentation

## ◆ valueChanged()

virtual void juce::Value::Listener::valueChanged | ( | Value & | value | ) |
| pure virtual

Called when a Value object is changed.

Note that the Value object passed as a parameter may not be exactly the same object that you registered the listener with - it might be a copy that refers to the same underlying ValueSource. To find out, you can call Value::refersToSameSourceAs().

The documentation for this class was generated from the following file:

- juce_Value.h